# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.676.12.8 -> 1.676.12.9
#	arch/ia64/hp/sim/simserial.c	1.1     -> 1.2    
#	arch/ia64/hp/sim/simeth.c	1.1     -> 1.2    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/27	bjorn_helgaas@hp.com	1.676.12.9
# ia64: Rename ia64_alloc_irq to ia64_alloc_vector.
# --------------------------------------------
#
diff -Nru a/arch/ia64/hp/sim/simeth.c b/arch/ia64/hp/sim/simeth.c
--- a/arch/ia64/hp/sim/simeth.c	Wed Oct  8 09:07:02 2003
+++ b/arch/ia64/hp/sim/simeth.c	Wed Oct  8 09:07:02 2003
@@ -213,7 +213,7 @@
 
 	memcpy(dev->dev_addr, mac_addr, sizeof(mac_addr));
 
-	dev->irq = ia64_alloc_irq();
+	dev->irq = ia64_alloc_vector();
 
 	/*
 	 * attach the interrupt in the simulator, this does enable interrupts
diff -Nru a/arch/ia64/hp/sim/simserial.c b/arch/ia64/hp/sim/simserial.c
--- a/arch/ia64/hp/sim/simserial.c	Wed Oct  8 09:07:02 2003
+++ b/arch/ia64/hp/sim/simserial.c	Wed Oct  8 09:07:02 2003
@@ -1061,7 +1061,7 @@
 		if (state->type == PORT_UNKNOWN) continue;
 
 		if (!state->irq) {
-			state->irq = ia64_alloc_irq();
+			state->irq = ia64_alloc_vector();
 			ia64_ssc_connect_irq(KEYBOARD_INTR, state->irq);
 		}
 
